
/**
 * Eenvoudige voorstelling van een bord.
 * Heeft een gewicht, een afmeting (hoogte) en kan al dan niet breekbaar zijn.
 */
public class Bord {
    
    private double gewicht;
    
    private double afmeting;
    
    private boolean breekbaar;
    
    public Bord (double gewicht, double afmeting, boolean breekbaar) {
        this.gewicht = gewicht;
        this.afmeting = afmeting;
        this.breekbaar = breekbaar;
    }
    
    public double getGewicht () {
        return gewicht;
    }
    
    public double getAfmeting () {
        return afmeting;
    }
    
    public boolean isBreekbaar () {
        return breekbaar;
    }
    
    // deze methode laat toe om borden af te drukken 
    // met behulp van System.out.println
    public String toString () {
        String str = gewicht + "g " + afmeting + "cm";
        if (breekbaar) {
            str += "*";
        }
        return str;
    }
}
