
/**
 *  Sterke kist. Kan zowel breekbare als onbreekbare borden bevatten,
 *  tot een bepaald totaalgewicht.
 */
public class SterkeKist implements Kist {

    // laat de limiet aftellen naar 0
    private double limietGewicht;
    
    public SterkeKist (double limietGewicht) {
        this.limietGewicht = limietGewicht;
    }
    
    public boolean isAanvaardbaar (Bord bord) {
        return limietGewicht >= bord.getGewicht();
    }
    
    public void nieuwBord (Bord bord) {
        limietGewicht = limietGewicht - bord.getGewicht ();
    }
}
